VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBox.Scene.LightNode Class Reference

Scene node for holding light. More...

Inheritance diagram for VisimBox.Scene.LightNode:

List of all members.

## Public Member Functions
| LightNode (System.Xml.XmlReader reader)
| LightNode ()
| LightNode (ILight light)
virtual bool | UpdateLight (double time)
| Updates light.
override bool | TimeTick (double time)
| Do a time tick.
override void | Dispose ()
void | ResourceDisposing (Resources.IResource resource)
bool | ResourceReplaced (Resources.IResource original, Resources.IResource newresource)
override void | CreateRenderBuffer ()
| Creates render buffer item.
override void | RenderGeometry (RendererEventArgs args)
| Feed geometry to the renderer (all other settings should be already set)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
## Protected Member Functions
void | CreateLinesDirectional ()
void | CreateLinesSpot ()
override void | CopyData (Node targetNode)
## Properties
ILight | LightObject`[get, set]`
| ILight with the actual light.
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)

## Detailed Description

Scene node for holding light.

## Constructor & Destructor Documentation

VisimBox.Scene.LightNode.LightNode | ( | System.Xml.XmlReader | reader | ) |

VisimBox.Scene.LightNode.LightNode | ( |  | ) |

VisimBox.Scene.LightNode.LightNode | ( | ILight | light | ) |

## Member Function Documentation

override void VisimBox.Scene.LightNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.RenderableNode.

void VisimBox.Scene.LightNode.CreateLinesDirectional | ( |  | ) | `[protected]`

void VisimBox.Scene.LightNode.CreateLinesSpot | ( |  | ) | `[protected]`

override void VisimBox.Scene.LightNode.CreateRenderBuffer | ( |  | ) | `[virtual]`

Creates render buffer item.

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.LightNode.Dispose | ( |  | ) | `[virtual]`

Reimplemented from VisimBox.Scene.Node.

override bool VisimBox.Scene.LightNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.RenderableNode.

override void VisimBox.Scene.LightNode.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisimBox.Scene.Node.

override void VisimBox.Scene.LightNode.RenderGeometry | ( | RendererEventArgs | args | ) | `[virtual]`

Feed geometry to the renderer (all other settings should be already set)

Parameters:

  args | Rendering events - pointer to rendering context and renderer

Used when rendering from the renderbuffer

Implements VisimBox.Scene.RenderableNode.

void VisimBox.Scene.LightNode.ResourceDisposing | ( | Resources.IResource | resource | ) |

bool VisimBox.Scene.LightNode.ResourceReplaced | ( | Resources.IResource | original,
|  | Resources.IResource | newresource
| ) |  |

override bool VisimBox.Scene.LightNode.TimeTick | ( | double | time | ) | `[virtual]`

Do a time tick.

Parameters:

  time | Elapsed time in seconds

Returns:
  , returns true if this node was changed somehow

Reimplemented from VisimBox.Scene.Node.

virtual bool VisimBox.Scene.LightNode.UpdateLight | ( | double | time | ) | `[virtual]`

Updates light.

Parameters:

  time | elapsed time

Returns:
  True if light object was changed

override void VisimBox.Scene.LightNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.RenderableNode.

## Property Documentation

override RenderFlags VisimBox.Scene.LightNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.RenderableNode.

ILight VisimBox.Scene.LightNode.LightObject`[get, set]`

ILight with the actual light.

The documentation for this class was generated from the following file:

- LightNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events